坐标系操作

1、设为WCS

  Dim doc As Autodesk.AutoCAD.ApplicationServices.Document = Autodesk.AutoCAD.ApplicationServices.Application.DocumentManager.MdiActiveDocument
        doc.Editor.CurrentUserCoordinateSystem = Matrix3d.Identity

2、平移、旋转 

        'Origin on WCS point: 0,0,6150
        'Rotation of the Zaxis: -90 degrees
        'Rotation of the Yaxis: 6 degrees
        'Rotation of the Xaxis: 35 degrees
        'Rotation of the Yaxis: -9- degrees
        Dim UCS As Matrix3d = Matrix3d.Identity * _
                              Matrix3d.Displacement(New Vector3d(0.0, 0.0, 6150.0)) * _
                              Matrix3d.Rotation(Math.PI / -2.0, Vector3d.ZAxis, Point3d.Origin) * _
                              Matrix3d.Rotation(Math.PI / 30.0, Vector3d.YAxis, Point3d.Origin) * _
                              Matrix3d.Rotation(7.0 * Math.PI / 36.0, Vector3d.XAxis, Point3d.Origin) * _
                              Matrix3d.Rotation(Math.PI / -20.0, Vector3d.YAxis, Point3d.Origin)

        Dim ed As Editor = ApplicationServices.Application.DocumentManager.MdiActiveDocument.Editor
        ed.CurrentUserCoordinateSystem = UCS

 

posted @ 2020-02-20 08:49  rf8862  阅读(224)  评论(0编辑  收藏  举报